#ifndef __BABY_DRAGON_H__
#define __BABY_DRAGON_H__

#include "enemy.h"

class baby_dragon final: public enemy_base {
public:
        baby_dragon(RNG *rng, const feature enabled_features, const position &pos,
                    const int gen_room_num);
        const char *get_race_name() const override;
        void apply_effect(std::unique_ptr<potion> effect) override;
};

#endif
